Bug 494819 - Review Request: python-bitarray - Efficient Array of Booleans --C Extensions
Review Request: python-bitarray - Efficient Array of Booleans --C Extensions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 04:54 EDT by Ramakrishna Reddy
Modified: 2014-04-25 08:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 04:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ramakrishna Reddy 2009-04-08 04:54:54 EDT
Spec URL: http://ramakrishnareddy.info/fedora/python-bitarray.spec
SRPM URL: http://ramakrishnareddy.info/fedora/python-bitarray-0.3.5-1.fc10.src.rpm
Description: 
Bitarrays are sequence types and behave very much like usual lists.
Eight bits are represented by one byte in contiguous block of memory.
The user can select between two representations; little-endian and big-endian.
Most of the functionality is implemented in C.Methods for accessing the machine
representation are provided. This can be useful when bit level access to binary
files is required, such as portable bitmap image files (.pbm). Also, when 
dealing with compressed data which uses variable bit length encoding
you may find this module useful.
Comment 1 Parag AN(पराग) 2009-04-09 05:23:32 EDT
I will sponsor you.

Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1286713
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
322a25e04e7aece5e028e5b068329291  bitarray-0.3.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package python-bitarray-0.3.5-1.fc11.i586 =>
  Provides: _bitarray.so
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libpthread.so.0 libpython2.6.so.1.0 python(abi) = 2.6 rtld(GNU_HASH)

Suggestions:
1) Use following line in %build as this is python arch package
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

This will set correct compile flags for gcc compilation.

APPROVED.
Comment 2 Ramakrishna Reddy 2009-04-17 03:42:39 EDT
New Package CVS Request
=======================
Package Name: python-bitarray
Short Description: Efficient Array of Booleans
Owners: ramkrsna
Branches: F-10 F-11 
InitialCC:
Comment 3 Kevin Fenzi 2009-04-17 17:34:59 EDT
cvs done.
Comment 4 Nick Bebout 2014-04-24 17:32:37 EDT
Package Change Request
======================
Package Name: python-bitarray
New Branches: el6 epel7
Owners: nb ramkrsna
Comment 5 Gwyn Ciesla 2014-04-25 08:20:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.